This content has been archived and is no longer being maintained.

Table of Contents

Article

Modifying unsupported browser lists and error messages

Pega 7.1.9 and later versions support Google Chrome, Apple Safari, Mozilla Firefox, and Internet Explorer versions 9 and later. Application users not using a supported browser need to upgrade to a supported browser. If you use applications that are rendered in quirks mode, which enables the Pega 7 Platform to correctly display and render non-HTML5 standard user interfaces, you must update them to standards-based HTML5 user interfaces when you upgrade to Pega 7.1.9.

Additional checks have also been introduced in Pega 7.1.9 to determine whether application users are using a supported browser. Checks are performed on every harness rendering and use a when rule to control which browsers are supported. To find the list of supported browsers, see the Platform Support Guide.

You can identify which components of your application user interface are not HTML5 standards-based by clicking Designer Studio > User Interface > HTML5 Application Readiness.

Modifying the list of supported browsers

You can modify the restriction on unsupported browsers by editing the pyUnsupportedBrowsers rule in your application ruleset.

  1. Open the pyUnsupportedBrowsers rule. The default expressions display the unsupported browser message for Internet Explorer versions 5 through 8.
  2. Edit the Logic string to select which browsers receive the unsupported browser message.
  3. Save the rule.

The Advanced tab of the pyUnsupportedBrowsers rule

The pyUnsupportedBrowsers Advanced tab

Editing the unsupported browsers message

When users log in to a Pega 7 Platform application from an unsupported browser, they see the following message:

The unsupported browser message

The unsupported browser message

You can edit the content of this message to better reflect your application's browser support.

  1. Open the pyUnsupportedBrowserLoginMessage rule.
  2. Locate the message text within the HTML code.
  3. Edit the text to reflect your application's browser requirements.
  4. Save the rule.

Disabling Compatibility View settings

When enabled in Internet Explorer versions 9, 10, and 11, the Compatibility View settings effectively change the user agent of the browser to Internet Explorer 7. As a result, the Pega 7 Platform application detects that the browser is unsupported. To avoid this issue, disable the Compatibility View settings by clicking Tools > Compatibility View settings in Internet Explorer.

Published September 29, 2015 — Updated February 3, 2016


100% found this useful

Have a question? Get answers now.

Visit the Pega Support Community to ask questions, engage in discussions, and help others.